Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class ContainerPermissionEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.exchange.ContainerPermissionEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class ContainerPermissionEnum
extends CollabEnum
implements java.io.Serializable

The enumeration class that contains `ContainerPermission` elements.

See Also:
  Serialized Form

Field Summary
`static ContainerPermission` | `CREATE_ITEMS` Grants permission to post items in the folder.
`static ContainerPermission` | `CREATE_SUBFOLDERS` Grants permission to create subfolders in the folder.
`static ContainerPermission` | `DELETE_ALL` Allows you to delete any item.
`static ContainerPermission` | `DELETE_NONE` Does not allow you to delete any item.
`static ContainerPermission` | `DELETE_OWN` Allows you to delete items you create.
`static ContainerPermission` | `EDIT_ALL` Allows you to modify any item.
`static ContainerPermission` | `EDIT_NONE` Does not allow changes to any item.
`static ContainerPermission` | `EDIT_OWN` Allows you to modify items you create.
`static ContainerPermission` | `FOLDER_CONTACT` Grants folder contact status.
`static ContainerPermission` | `FOLDER_OWNER` Grants all permissions in the folder.
`static ContainerPermission` | `FOLDER_VISIBLE` Grants permission to see the folder.
`static int` | `NUM_ELEMENTS`
`static ContainerPermission` | `READ_ITEMS` Grants permission to open any item in the folder.
`static ContainerPermission` | `ROLE_AUTHOR` Grants permission to create and read items and files, and modify and delete items and files you create.
`static ContainerPermission` | `ROLE_CONTRIBUTOR` Grants permission to create items and files only.
`static ContainerPermission` | `ROLE_EDITOR` Grants permission to create, read, modify, and delete all items and files.
`static ContainerPermission` | `ROLE_NONE` Grants no permissions.
`static ContainerPermission` | `ROLE_NONEDITING_AUTHOR` Grants permission to create and read items and files.
`static ContainerPermission` | `ROLE_OWNER` Grants all permissions in the container.
`static ContainerPermission` | `ROLE_PUBLISHING_AUTHOR` Grants permission to create and read items and files, modify and delete items and files you create, and create subfolders.
`static ContainerPermission` | `ROLE_PUBLISHING_EDITOR` Grants permission to create, read, modify and delete all items and files, and create subfolders.
`static ContainerPermission` | `ROLE_REVIEWER` Grants permission to read items and files only.
`static int` | `VALUE_CREATE_ITEMS`
`static int` | `VALUE_CREATE_SUBFOLDERS`
`static int` | `VALUE_DELETE_ALL`
`static int` | `VALUE_DELETE_NONE`
`static int` | `VALUE_DELETE_OWN`
`static int` | `VALUE_EDIT_ALL`
`static int` | `VALUE_EDIT_NONE`
`static int` | `VALUE_EDIT_OWN`
`static int` | `VALUE_FOLDER_CONTACT`
`static int` | `VALUE_FOLDER_OWNER`
`static int` | `VALUE_FOLDER_VISIBLE`
`static int` | `VALUE_READ_ITEMS`
`static int` | `VALUE_ROLE_AUTHOR`
`static int` | `VALUE_ROLE_CONTRIBUTOR`
`static int` | `VALUE_ROLE_EDITOR`
`static int` | `VALUE_ROLE_NONE`
`static int` | `VALUE_ROLE_NONEDITING_AUTHOR`
`static int` | `VALUE_ROLE_OWNER`
`static int` | `VALUE_ROLE_PUBLISHING_AUTHOR`
`static int` | `VALUE_ROLE_PUBLISHING_EDITOR`
`static int` | `VALUE_ROLE_REVIEWER`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `ContainerPermissionEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `ContainerPermissionEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_ROLE_OWNER

    public static final int VALUE_ROLE_OWNER

See Also:
  Constant Field Values

### VALUE_ROLE_PUBLISHING_EDITOR

    public static final int VALUE_ROLE_PUBLISHING_EDITOR

See Also:
  Constant Field Values

### VALUE_ROLE_EDITOR

    public static final int VALUE_ROLE_EDITOR

See Also:
  Constant Field Values

### VALUE_ROLE_PUBLISHING_AUTHOR

    public static final int VALUE_ROLE_PUBLISHING_AUTHOR

See Also:
  Constant Field Values

### VALUE_ROLE_AUTHOR

    public static final int VALUE_ROLE_AUTHOR

See Also:
  Constant Field Values

### VALUE_ROLE_NONEDITING_AUTHOR

    public static final int VALUE_ROLE_NONEDITING_AUTHOR

See Also:
  Constant Field Values

### VALUE_ROLE_REVIEWER

    public static final int VALUE_ROLE_REVIEWER

See Also:
  Constant Field Values

### VALUE_ROLE_CONTRIBUTOR

    public static final int VALUE_ROLE_CONTRIBUTOR

See Also:
  Constant Field Values

### VALUE_ROLE_NONE

    public static final int VALUE_ROLE_NONE

See Also:
  Constant Field Values

### VALUE_CREATE_ITEMS

    public static final int VALUE_CREATE_ITEMS

See Also:
  Constant Field Values

### VALUE_READ_ITEMS

    public static final int VALUE_READ_ITEMS

See Also:
  Constant Field Values

### VALUE_CREATE_SUBFOLDERS

    public static final int VALUE_CREATE_SUBFOLDERS

See Also:
  Constant Field Values

### VALUE_FOLDER_OWNER

    public static final int VALUE_FOLDER_OWNER

See Also:
  Constant Field Values

### VALUE_FOLDER_CONTACT

    public static final int VALUE_FOLDER_CONTACT

See Also:
  Constant Field Values

### VALUE_FOLDER_VISIBLE

    public static final int VALUE_FOLDER_VISIBLE

See Also:
  Constant Field Values

### VALUE_EDIT_NONE

    public static final int VALUE_EDIT_NONE

See Also:
  Constant Field Values

### VALUE_EDIT_OWN

    public static final int VALUE_EDIT_OWN

See Also:
  Constant Field Values

### VALUE_EDIT_ALL

    public static final int VALUE_EDIT_ALL

See Also:
  Constant Field Values

### VALUE_DELETE_NONE

    public static final int VALUE_DELETE_NONE

See Also:
  Constant Field Values

### VALUE_DELETE_OWN

    public static final int VALUE_DELETE_OWN

See Also:
  Constant Field Values

### VALUE_DELETE_ALL

    public static final int VALUE_DELETE_ALL

See Also:
  Constant Field Values

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also:
  Constant Field Values

### ROLE_OWNER

    public static final ContainerPermission ROLE_OWNER

  Grants all permissions in the container.

### ROLE_PUBLISHING_EDITOR

    public static final ContainerPermission ROLE_PUBLISHING_EDITOR

  Grants permission to create, read, modify and delete all items and files, and create subfolders.

### ROLE_EDITOR

    public static final ContainerPermission ROLE_EDITOR

  Grants permission to create, read, modify, and delete all items and files.

### ROLE_PUBLISHING_AUTHOR

    public static final ContainerPermission ROLE_PUBLISHING_AUTHOR

  Grants permission to create and read items and files, modify and delete items and files you create, and create subfolders.

### ROLE_AUTHOR

    public static final ContainerPermission ROLE_AUTHOR

  Grants permission to create and read items and files, and modify and delete items and files you create.

### ROLE_NONEDITING_AUTHOR

    public static final ContainerPermission ROLE_NONEDITING_AUTHOR

  Grants permission to create and read items and files.

### ROLE_REVIEWER

    public static final ContainerPermission ROLE_REVIEWER

  Grants permission to read items and files only.

### ROLE_CONTRIBUTOR

    public static final ContainerPermission ROLE_CONTRIBUTOR

  Grants permission to create items and files only. The contents of the folder do not appear.

### ROLE_NONE

    public static final ContainerPermission ROLE_NONE

  Grants no permissions.

### CREATE_ITEMS

    public static final ContainerPermission CREATE_ITEMS

  Grants permission to post items in the folder.

### READ_ITEMS

    public static final ContainerPermission READ_ITEMS

  Grants permission to open any item in the folder.

### CREATE_SUBFOLDERS

    public static final ContainerPermission CREATE_SUBFOLDERS

  Grants permission to create subfolders in the folder.

### FOLDER_OWNER

    public static final ContainerPermission FOLDER_OWNER

  Grants all permissions in the folder.

### FOLDER_CONTACT

    public static final ContainerPermission FOLDER_CONTACT

  Grants folder contact status. Folder contacts receive automated notifications from the folder, such as replication conflict messages, as well as requests from users for additional permissions or other changes in the folder.

### FOLDER_VISIBLE

    public static final ContainerPermission FOLDER_VISIBLE

  Grants permission to see the folder.

### EDIT_NONE

    public static final ContainerPermission EDIT_NONE

  Does not allow changes to any item.

### EDIT_OWN

    public static final ContainerPermission EDIT_OWN

  Allows you to modify items you create.

### EDIT_ALL

    public static final ContainerPermission EDIT_ALL

  Allows you to modify any item.

### DELETE_NONE

    public static final ContainerPermission DELETE_NONE

  Does not allow you to delete any item.

### DELETE_OWN

    public static final ContainerPermission DELETE_OWN

  Allows you to delete items you create.

### DELETE_ALL

    public static final ContainerPermission DELETE_ALL

  Allows you to delete any item.

Constructor Detail

### ContainerPermissionEnum

    protected ContainerPermissionEnum(java.lang.Class elementClass,
                                      int iNumElements,
                                      com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                      EnumElement defaultElement,
                                      java.lang.String sInternalName,
                                      boolean bMaskable)

  Constructor.

### ContainerPermissionEnum

    protected ContainerPermissionEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.